commit:     f55112791e519216378d3ebb90db46f0e0a95281
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 15:43:30 2015 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sat Oct 24 15:44:15 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5511279

dev-python/qscintilla-python: bump

Package-Manager: portage-2.2.23

 dev-python/qscintilla-python/Manifest              |  1 +
 .../qscintilla-python-2.9.1.ebuild                 | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/qscintilla-python/Manifest 
b/dev-python/qscintilla-python/Manifest
index 682d80e..4169dcc 100644
--- a/dev-python/qscintilla-python/Manifest
+++ b/dev-python/qscintilla-python/Manifest
@@ -1,2 +1,3 @@
 DIST QScintilla-gpl-2.8.4.tar.gz 3031919 SHA256 
9b7b2d7440cc39736bbe937b853506b3bd218af3b79095d4f710cccb0fabe80f SHA512 
ab10dc756231b293ddebc06e681bb65a11b2be2a4c4132a5b2a27ca583adef76af325fa95748888d9091f2e89a30494d370df262c4eaba7b7fbed04fb7c76907
 WHIRLPOOL 
7357addbc0ad8869c5749a67106c18e47d79e32399416cc2867461fa8ad0c662711b8937987cb7c3cd5b83fe9f88e1529911eefec28a972e86c7f242c8c0d634
+DIST QScintilla-gpl-2.9.1.tar.gz 2490144 SHA256 
79e9c39d51549061d3d489387bcee86ff20c1f746d1b25ac173d5165426eabaf SHA512 
709a5251c9273c527740b138b099e42a57cefa4fcda34c04da11f4640b0ee53ca9a0a58752e963bc8c63933e382ac8a6e774965d838c9123c11c1c59a9d7100e
 WHIRLPOOL 
f47319c2cebd1fdf4ae95f26781ab52758ab698b1b72e9d7db4e081e6c27bb41ef1d1da0b450c1cefebf0a9f1c1a128d45c44ba490d2be1a77276f3e1bf75224
 DIST QScintilla-gpl-2.9.tar.gz 2435116 SHA256 
d7c32e32582f93779de861006d87467b38b9ebc06e3d0b32e981cb24369fa417 SHA512 
a74b7b1182e9f602aa9f61072877d8dba93c430453ed70e18d74013dbda8b0faef30629f2c086d3b06d0632b3f4980570362bb6e635c15686be1be47eaeecb00
 WHIRLPOOL 
b27a3ff2b48dbbf034deb4fdf09259815dcee63bfffe29651cf1e5e9ceeedb408ebc0bae440479a8206af7046f80143c291c10a0293942b64eb61c5e02549ed4

diff --git a/dev-python/qscintilla-python/qscintilla-python-2.9.1.ebuild 
b/dev-python/qscintilla-python/qscintilla-python-2.9.1.ebuild
new file mode 100644
index 0000000..2a9dd36
--- /dev/null
+++ b/dev-python/qscintilla-python/qscintilla-python-2.9.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit python-r1 qmake-utils
+
+MY_P=QScintilla-gpl-${PV}
+
+DESCRIPTION="Python bindings for Qscintilla"
+HOMEPAGE="http://www.riverbankcomputing.com/software/qscintilla/intro";
+SRC_URI="mirror://sourceforge/pyqt/${MY_P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+
+DEPEND="
+       ${PYTHON_DEPS}
+       >=dev-python/sip-4.16:=[${PYTHON_USEDEP}]
+       >=dev-python/PyQt4-4.11.3[X,${PYTHON_USEDEP}]
+       dev-qt/qtcore:4
+       dev-qt/qtgui:4
+       ~x11-libs/qscintilla-${PV}:=
+"
+RDEPEND="${DEPEND}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+S=${WORKDIR}/${MY_P}/Python
+
+src_prepare() {
+       python_copy_sources
+}
+
+src_configure() {
+       configuration() {
+               local myconf=(
+                       "${PYTHON}" configure.py
+                       --qmake="$(qt4_get_bindir)"/qmake
+                       --destdir="$(python_get_sitedir)"/PyQt4
+                       --sip-incdir="$(python_get_includedir)"
+                       --pyqt=PyQt4
+                       --no-timestamp
+                       $(use debug && echo --debug)
+               )
+               echo "${myconf[@]}"
+               "${myconf[@]}" || die
+
+               # Run eqmake4 to respect toolchain, build flags, and prevent 
stripping
+               eqmake4
+       }
+       python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       installation() {
+               emake INSTALL_ROOT="${D}" install
+               python_optimize
+       }
+       python_foreach_impl run_in_build_dir installation
+}

Reply via email to